summaryrefslogtreecommitdiffstats
path: root/source/a/hdparm/hdparm.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/hdparm/hdparm.SlackBuild')
-rwxr-xr-xsource/a/hdparm/hdparm.SlackBuild21
1 files changed, 15 insertions, 6 deletions
diff --git a/source/a/hdparm/hdparm.SlackBuild b/source/a/hdparm/hdparm.SlackBuild
index 3f39ca278..755f2ced5 100755
--- a/source/a/hdparm/hdparm.SlackBuild
+++ b/source/a/hdparm/hdparm.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=hdparm
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -34,9 +36,16 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:--j7}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-hdparm
@@ -45,7 +54,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf hdparm-$VERSION
-tar xvf $CWD/hdparm-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/hdparm-$VERSION.tar.?z || exit 1
cd hdparm-$VERSION || exit 1
chown -R root:root .
make $NUMJOBS || make || exit 1